> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出 API 密钥

> 列出已认证账户的 AgentMail API 密钥元数据。



## OpenAPI

````yaml openapi/zh/agentmail.json GET /agentmail/api-keys
openapi: 3.1.0
info:
  title: AgentMail API
  version: 1.0.0
  description: 通过 AIsa 统一网关公开的 AgentMail 电子邮件 API 端点。改编自上游 docs.agentmail.to OpenAPI 规范。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - Bearer: []
paths:
  /agentmail/api-keys:
    get:
      tags:
        - AgentMail
      summary: 列出 API 密钥
      description: 列出已认证账户的 AgentMail API 密钥元数据。
      operationId: get_agentmail_api_keys
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__Limit'
        - name: page_token
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__PageToken'
        - name: ascending
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__Ascending'
        - name: Authorization
          in: header
          description: Bearer 身份验证
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 状态码为 200 的响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_api-keys_ListApiKeysResponse'
      security:
        - Bearer: []
components:
  schemas:
    type__Limit:
      type: integer
      description: 返回项目数量的上限。
      title: Limit
    type__PageToken:
      type: string
      description: 用于分页的页面 token。
      title: PageToken
    type__Ascending:
      type: boolean
      description: 按时间升序排序。
      title: Ascending
    type_api-keys_ListApiKeysResponse:
      type: object
      properties:
        count:
          $ref: '#/components/schemas/type__Count'
        next_page_token:
          $ref: '#/components/schemas/type__PageToken'
        api_keys:
          type: array
          items:
            $ref: '#/components/schemas/type_api-keys_ApiKey'
          description: 按 `created_at` 降序排列。
      required:
        - count
        - api_keys
      title: ListApiKeysResponse
    type__Count:
      type: integer
      description: 返回的项目数量。
      title: Count
    type_api-keys_ApiKey:
      type: object
      properties:
        api_key_id:
          $ref: '#/components/schemas/type_api-keys_ApiKeyId'
        prefix:
          $ref: '#/components/schemas/type_api-keys_Prefix'
        name:
          $ref: '#/components/schemas/type_api-keys_Name'
        pod_id:
          type: string
          description: API 密钥作用域所限定的 Pod ID。设置后，该密钥只能访问此 Pod 内的资源。
        inbox_id:
          type: string
          description: API 密钥限定访问的收件箱 ID。如果设置，该密钥只能访问此收件箱内的资源。
        used_at:
          type: string
          format: date-time
          description: API 密钥上次使用的时间。
        permissions:
          $ref: '#/components/schemas/type_api-keys_ApiKeyPermissions'
        created_at:
          $ref: '#/components/schemas/type_api-keys_CreatedAt'
      required:
        - api_key_id
        - prefix
        - name
        - created_at
      title: ApiKey
    type_api-keys_ApiKeyId:
      type: string
      description: API 密钥的 ID。
      title: ApiKeyId
    type_api-keys_Prefix:
      type: string
      description: API 密钥的前缀。
      title: Prefix
    type_api-keys_Name:
      type: string
      description: API 密钥的名称。
      title: Name
    type_api-keys_ApiKeyPermissions:
      type: object
      properties:
        inbox_read:
          type: boolean
          description: 读取收件箱详情。
        inbox_create:
          type: boolean
          description: 创建新收件箱。
        inbox_update:
          type: boolean
          description: 更新收件箱设置。
        inbox_delete:
          type: boolean
          description: 删除收件箱。
        thread_read:
          type: boolean
          description: 读取主题帖。
        thread_delete:
          type: boolean
          description: 删除会话线程。
        message_read:
          type: boolean
          description: 读取消息。
        message_send:
          type: boolean
          description: 发送消息。
        message_update:
          type: boolean
          description: 更新消息标签。
        label_spam_read:
          type: boolean
          description: 访问标记为垃圾邮件的消息。
        label_blocked_read:
          type: boolean
          description: 访问标记为 blocked 的消息。
        label_trash_read:
          type: boolean
          description: 访问标记为垃圾箱的邮件。
        draft_read:
          type: boolean
          description: 读取草稿。
        draft_create:
          type: boolean
          description: 创建草稿。
        draft_update:
          type: boolean
          description: 更新草稿。
        draft_delete:
          type: boolean
          description: 删除草稿。
        draft_send:
          type: boolean
          description: 发送草稿。
        webhook_read:
          type: boolean
          description: 读取 Webhook 配置。
        webhook_create:
          type: boolean
          description: 创建 Webhook。
        webhook_update:
          type: boolean
          description: 更新 Webhook。
        webhook_delete:
          type: boolean
          description: 删除 Webhook。
        domain_read:
          type: boolean
          description: 读取域名详情。
        domain_create:
          type: boolean
          description: 创建域名。
        domain_update:
          type: boolean
          description: 更新域名。
        domain_delete:
          type: boolean
          description: 删除域名。
        list_entry_read:
          type: boolean
          description: 读取列表条目。
        list_entry_create:
          type: boolean
          description: 创建列表条目。
        list_entry_delete:
          type: boolean
          description: 删除列表条目。
        metrics_read:
          type: boolean
          description: 读取指标。
        api_key_read:
          type: boolean
          description: 读取 API 密钥。
        api_key_create:
          type: boolean
          description: 创建 API 密钥。
        api_key_delete:
          type: boolean
          description: 删除 API 密钥。
        pod_read:
          type: boolean
          description: 读取 Pod。
        pod_create:
          type: boolean
          description: 创建 Pod。
        pod_delete:
          type: boolean
          description: 删除 Pod。
      description: API 密钥的细粒度权限。省略时授予所有权限；否则，仅授予设置为 true 的权限。
      title: ApiKeyPermissions
    type_api-keys_CreatedAt:
      type: string
      format: date-time
      description: API 密钥的创建时间。
      title: CreatedAt
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````